質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.44%
Cloud9

Cloud9は、クラウドからのプログラミングが可能になるWebサービス。IDEとしての機能が搭載されており、GitHubやHerokuなど他ツールとの連携も可能です。ブラウザ上で動くため、デバイスに関係なく開発環境を準備できます。

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

GitHub

GitHubは、Gitバージョン管理システムを利用したソフトウェア開発向けの共有ウェブサービスです。GitHub商用プランおよびオープンソースプロジェクト向けの無料アカウントを提供しています。

Q&A

解決済

2回答

18782閲覧

Django: runserverするときにSyntax Errorが発生します。

naoya0206k1

総合スコア12

Cloud9

Cloud9は、クラウドからのプログラミングが可能になるWebサービス。IDEとしての機能が搭載されており、GitHubやHerokuなど他ツールとの連携も可能です。ブラウザ上で動くため、デバイスに関係なく開発環境を準備できます。

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

GitHub

GitHubは、Gitバージョン管理システムを利用したソフトウェア開発向けの共有ウェブサービスです。GitHub商用プランおよびオープンソースプロジェクト向けの無料アカウントを提供しています。

0グッド

1クリップ

投稿2018/07/29 06:36

#前提
Djangoで開発されている方のGithub repositoryからcloud9上にcloneして、マークアップ言語をいじろうとしています。

#問題
最初にpython manage.py runserverしようとしたところで問題が発生します。

https://stackoverflow.com/questions/42611593/how-to-solve-syntaxerror-on-autogenerated-manage-py

この方とまったく同じ問題が発生しています。
stackoverflowにある回答を試してみましたが、

File "manage.py", line 15 ) from exc ^ SyntaxError: invalid syntax

のSyantaxErrorが一向に消えません。
どのように行えばよいでしょうか。何卒宜しくお願い致します!!

#!/usr/bin/env python import os import sys if __name__ == "__main__": os.environ.setdefault("DJANGO_SETTINGS_MODULE", "goen.settings") try: from django.core.management import execute_from_command_line except ImportError as exc: raise ImportError( "Couldn't import Django. Are you sure it's installed and " "available on your PYTHONPATH environment variable? Did you " "forget to activate a virtual environment?" ) from exc execute_from_command_line(sys.argv)

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答2

0

python

1#!/usr/bin/env python 2import os 3import sys 4 5 6if __name__ == "__main__": 7 os.environ.setdefault("DJANGO_SETTINGS_MODULE", "goen.settings") 8 try: 9 from django.core.management import execute_from_command_line 10 except ImportError as exc: 11 raise ImportError( 12 "Couldn't import Django. Are you sure it's installed and " 13 "available on your PYTHONPATH environment variable? Did you " 14 "forget to activate a virtual environment?" 15 ) 16 execute_from_command_line(sys.argv)

消せばいいんじゃないですかね?

投稿2018/07/29 06:56

_Victorique__

総合スコア1392

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

naoya0206k1

2018/07/29 07:26

少し進んだのですが、今度は ``` ~/workspace (environment) $ python manage.py migrate Traceback (most recent call last): File "manage.py", line 16, in <module> execute_from_command_line(sys.argv) File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 350, in execute_from_command_line utility.execute() File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 342, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/usr/local/lib/python2.7/dist-packages/django/core/management/base.py", line 348, in run_from_argv self.execute(*args, **cmd_options) File "/usr/local/lib/python2.7/dist-packages/django/core/management/base.py", line 398, in execute self.check() File "/usr/local/lib/python2.7/dist-packages/django/core/management/base.py", line 426, in check include_deployment_checks=include_deployment_checks, File "/usr/local/lib/python2.7/dist-packages/django/core/checks/registry.py", line 75, in run_checks new_errors = check(app_configs=app_configs) File "/usr/local/lib/python2.7/dist-packages/django/core/checks/urls.py", line 10, in check_url_config return check_resolver(resolver) File "/usr/local/lib/python2.7/dist-packages/django/core/checks/urls.py", line 19, in check_resolver for pattern in resolver.url_patterns: File "/usr/local/lib/python2.7/dist-packages/django/utils/functional.py", line 33, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "/usr/local/lib/python2.7/dist-packages/django/core/urlresolvers.py", line 417, in url_patterns patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module) File "/usr/local/lib/python2.7/dist-packages/django/utils/functional.py", line 33, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "/usr/local/lib/python2.7/dist-packages/django/core/urlresolvers.py", line 410, in urlconf_module return import_module(self.urlconf_name) File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module __import__(name) File "/home/ubuntu/workspace/goen/urls.py", line 17, in <module> from django.urls import path, include ImportError: No module named urls ``` で躓いています… ``` """goen URL Configuration The `urlpatterns` list routes URLs to views. For more information please see: https://docs.djangoproject.com/en/2.0/topics/http/urls/ Examples: Function views 1. Add an import: from my_app import views 2. Add a URL to urlpatterns: path('', views.home, name='home') Class-based views 1. Add an import: from other_app.views import Home 2. Add a URL to urlpatterns: path('', Home.as_view(), name='home') Including another URLconf 1. Import the include() function: from django.urls import include, path 2. Add a URL to urlpatterns: path('blog/', include('blog.urls')) """ from django.contrib import admin from django.urls import path, include urlpatterns = [ path('admin/', admin.site.urls), path('accounts/', include('accounts.urls')), path('social/', include('socials.urls')), ] ``` No module named urls はどこに何を加えるべきなのでしょうか。 重ねてお手数おかけしますがお願いできると嬉しいです!
_Victorique__

2018/07/29 07:43

from django.urls import path, include ↓ from django.conf.urls import path, include
naoya0206k1

2018/07/29 07:54

~/workspace (environment) $ python manage.py migrate Traceback (most recent call last): File "manage.py", line 16, in <module> execute_from_command_line(sys.argv) File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 350, in execute_from_command_line utility.execute() File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 342, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/usr/local/lib/python2.7/dist-packages/django/core/management/base.py", line 348, in run_from_argv self.execute(*args, **cmd_options) File "/usr/local/lib/python2.7/dist-packages/django/core/management/base.py", line 398, in execute self.check() File "/usr/local/lib/python2.7/dist-packages/django/core/management/base.py", line 426, in check include_deployment_checks=include_deployment_checks, File "/usr/local/lib/python2.7/dist-packages/django/core/checks/registry.py", line 75, in run_checks new_errors = check(app_configs=app_configs) File "/usr/local/lib/python2.7/dist-packages/django/core/checks/urls.py", line 10, in check_url_config return check_resolver(resolver) File "/usr/local/lib/python2.7/dist-packages/django/core/checks/urls.py", line 19, in check_resolver for pattern in resolver.url_patterns: File "/usr/local/lib/python2.7/dist-packages/django/utils/functional.py", line 33, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "/usr/local/lib/python2.7/dist-packages/django/core/urlresolvers.py", line 417, in url_patterns patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module) File "/usr/local/lib/python2.7/dist-packages/django/utils/functional.py", line 33, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "/usr/local/lib/python2.7/dist-packages/django/core/urlresolvers.py", line 410, in urlconf_module return import_module(self.urlconf_name) File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module __import__(name) File "/home/ubuntu/workspace/goen/urls.py", line 17, in <module> from django.conf.urls import path, include ImportError: cannot import name path これは下のurlpatternsの中のurlが間違っているということでしょうか ```urls.py from django.contrib import admin from django.conf.urls import path, include urlpatterns = [ path('admin/', admin.site.urls), path('accounts/', include('accounts.urls')), path('social/', include('socials.urls')), ] ``` 何度もすみません!
naoya0206k1

2018/07/29 14:01

ご返答ありがとうございました! バグがバグを呼ぶ嵐だったので(汗)Cloud9やめてローカル環境作りました。 せっかく教えて頂いたのにすみません。ありがとうございました!
guest

0

ベストアンサー

2系のPythonを使用されていませんか。

python manage.py ...ではなく、python3 manage.py...だとどうでしょうか。

投稿2018/07/29 06:55

toritoritorina

総合スコア972

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

naoya0206k1

2018/07/29 07:31

ご返信ありがとうございます! ``` ~/workspace (environment) $ python3 manage.py migrate Traceback (most recent call last): File "manage.py", line 9, in <module> from django.core.management import execute_from_command_line ModuleNotFoundError: No module named 'django' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "manage.py", line 12, in <module> "Couldn't import Django. Are you sure it's installed and " ImportError: Couldn't import Django. Are you sure it's installed and available on your PYTHONPATH environment variable? Did you forget to activate a virtual environment? ``` ``` $ python --version Python 2.7.6 ``` この場合はどうすればいいのでしょうか。 自分なりに進めて ``` $pip install --user django ``` ↓ ``` $ python3 manage.py migrate ModuleNotFoundError: No module named 'social_django' ``` で止まってしまっています...
toritoritorina

2018/07/29 08:18

pipでのインストールですが、 pip3 install ライブラリ名 でも大丈夫だと思います。 cloneしたプロジェクトは、social_djangoが必須のものと思われますので、 pip3 install social-auth-app-django としてみてください。
naoya0206k1

2018/07/29 14:00

ご返答ありがとうございます!返信気づけてませんでした... バグがバグを呼ぶ嵐だったので(汗)Cloud9やめてローカル環境作りました。 せっかく教えて頂いたのにすみません。ありがとうございます!
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.44%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問